org.apache.fop.complexscripts.fonts

## Class GlyphTable.CoverageSequenceRule

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphTable.Rule
  - - org.apache.fop.complexscripts.fonts.GlyphTable.CoverageSequenceRule

Direct Known Subclasses:
  GlyphTable.ChainedCoverageSequenceRule

Enclosing class:
  GlyphTable

    public static class GlyphTable.CoverageSequenceRule
    extends GlyphTable.Rule

The `CoverageSequenceRule` class implements a subclass of `Rule` that supports matching on a specific glyph coverage sequence.

### Constructor Summary

Constructors
Constructor and Description
`CoverageSequenceRule(GlyphTable.RuleLookup[] lookups, int inputSequenceLength, GlyphCoverageTable[] coverages)` Instantiate a ClassSequenceRule.

### Method Summary

All Methods Instance Methods Concrete Methods
`GlyphCoverageTable[]` `getCoverages()`
`String` `toString()`

### Methods inherited from class org.apache.fop.complexscripts.fonts.GlyphTable.Rule

`getInputSequenceLength, getLookups, resolveLookupReferences`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CoverageSequenceRule

    public CoverageSequenceRule(GlyphTable.RuleLookup[] lookups,
                                int inputSequenceLength,
                                GlyphCoverageTable[] coverages)

Instantiate a ClassSequenceRule.

Parameters:
  `lookups` - the rule's lookups
  `inputSequenceLength` - number of glyphs constituting input sequence (to be consumed)
  `coverages` - the rule's glyph coverage sequence to match, starting with first glyph in sequence

### Method Detail

#### getCoverages

    public GlyphCoverageTable[] getCoverages()

Returns:
  the coverages

#### toString

    public String toString()

Overrides:
  `toString` in class `GlyphTable.Rule`